Disables a Key so it can no longer sign. Keys cannot be deleted; this is the only way to retire one. Disabling a disabled Key succeeds and returns the Key unchanged.
HTTP request
POST https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*/keys/*}:disable
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the Key to disable. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing}/keys/{key} It takes the form |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Key.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.